Skip to main content
GET
Get Subscription by ID

Authorizations

api_key
string
header
required

Your Lusha API key. You can find this in your Lusha dashboard under API settings.

Include this key in the api_key header for all requests.

Path Parameters

id
string
required

Subscription ID

Response

Subscription retrieved successfully

id
string
required
Example:

"507f1f77bcf86cd799439011"

entityType
enum<string>
required
Available options:
contact,
company
Example:

"contact"

entityId
string
required
Example:

"123456"

signalTypes
string[]
required
Example:
url
string<uri>
required
Example:

"https://example.com/webhooks/lusha"

isActive
boolean
required
Example:

true

createdAt
string<date-time>
required
Example:

"2026-01-14T10:00:00.000Z"

updatedAt
string<date-time>
required
Example:

"2026-01-14T10:00:00.000Z"

name
string
Example:

"Contact Promotion Tracker"

blockReason
string | null

Reason subscription was disabled (null if active)

Example:

"Max retries exceeded"

blockedAt
string<date-time> | null

When subscription was disabled (null if active)

Example:

"2026-01-14T10:00:00.000Z"